package com.jxy.marketall.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.entity.BigSell;
import com.jxy.marketall.entity.ETHTopAddr;
import com.jxy.marketall.vo.BigSellVo;
import com.jxy.marketall.vo.ETHTopAddrVo;
import com.jxy.marketall.vo.PageVo;
import com.jxy.marketall.vo.QueryVo;


/**
 * @Description ETH查询服务类
 * @Date 2022/5/20 11:40
 * @Author 杜懿
 */
public interface ETHService{

    /***
     * 分页查询以太坊巨鲸地址余额
     * @param vo
     * @return
     */
    public AjaxResult getETHTopAddrByPage(ETHTopAddrVo vo);

    /***
     * 分页查询以太坊地址-标记对应关系
     * @param vo
     * @return
     */
    public AjaxResult getETHTagsByPage(PageVo vo);

    /**
     * 根据时间查询eth arh99
     * @param vo
     * @return
     */
    public AjaxResult getArh99ByTime(QueryVo vo);

    /**
     * 查询eth arh99最近24小时数据
     * @return
     */
    public AjaxResult getArh99Day();

    /**
     * 根据时间查询eth jzr60
     * @param vo
     * @return
     */
    public AjaxResult getJzr60ByTime(QueryVo vo);

    /**
     * 查询eth jzr60最近24小时数据
     * @return
     */
    public AjaxResult getJzr60Day();

    /**
     * 根据时间查询eth ma730
     * @param vo
     * @return
     */
    public AjaxResult getMa730ByTime(QueryVo vo);

    /**
     * 查询eth ma730最近24小时数据
     * @return
     */
    public AjaxResult geMa730Day();

    /**
     * 查询USDC流通量
     * @param queryVo
     * @return
     */
    public AjaxResult getCSUSDCList(QueryVo queryVo);

    /**
     * 查询USDT流通量
     * @param queryVo
     * @return
     */
    public AjaxResult getCSUSDTList(QueryVo queryVo);

    /**
     * 查询BUSD流通量
     * @param queryVo
     * @return
     */
    public AjaxResult getCSBUSDList(QueryVo queryVo);

    /**
     * 查询总流通量
     * @param queryVo
     * @return
     */
    public AjaxResult getTotalCSupplyList(QueryVo queryVo);
}
